This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 481289 - (CVE-2009-0414) CVE-2009-0414 tor: remote heap corruption bug fixed in 0.2.0.33
CVE-2009-0414 tor: remote heap corruption bug fixed in 0.2.0.33
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 08:07 EST by Tomas Hoger
Modified: 2009-02-04 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 02:48:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-01-23 08:07:15 EST
Quoting tor 0.2.0.33 release announcement:

  Security fixes:

    * Fix a heap-corruption bug that may be remotely triggerable on
      some platforms. Reported by Ilja van Sprundel.

https://blog.torproject.org/blog/tor-0.2.0.33-stable-released
Comment 1 Fedora Update System 2009-01-23 21:36:47 EST
tor-0.2.0.33-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2009-01-23 21:38:50 EST
tor-0.2.0.33-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Tomas Hoger 2009-02-04 02:46:43 EST
CVE-2009-0414:
Unspecified vulnerability in Tor before 0.2.0.33 has unspecified
impact and remote attack vectors that trigger heap corruption.
Comment 5 Jan Lieskovsky 2009-02-04 10:08:17 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-0414 to
the following vulnerability (adding just for completeness):

Unspecified vulnerability in Tor before 0.2.0.33 has unspecified
impact and remote attack vectors that trigger heap corruption.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-0414
http://archives.seul.org/or/announce/Jan-2009/msg00000.html
http://blog.torproject.org/blog/tor-0.2.0.33-stable-released
http://www.securityfocus.com/bid/33399
http://www.frsirt.com/english/advisories/2009/0210
http://www.securitytracker.com/id?1021633
http://secunia.com/advisories/33635
http://secunia.com/advisories/33677

Note You need to log in before you can comment on or make changes to this bug.